import 'package:flutter/services.dart';
import '../xbr_baidu_face.dart';

class BaiduFace {
  static BaiduFace instance = BaiduFace._();

  BaiduFace._();

  final _channel = const MethodChannel('xbr_baidu_face');

  /// 初始化
  /// [config] 人脸识别参数
  Future<void> init(String licenseID, {Config config = const Config()}) async {
    _channel.invokeMethod(
      'init',
      {
        'licenseID': licenseID,
        'livenessTypeList': config.livenessTypeList?.map((e) => e.index).toList(),
        'livenessRandom': config.livenessRandom,
        'blurnessValue': config.blurnessValue,
        'brightnessValue': config.brightnessValue,
        'cropFaceValue': config.cropFaceValue,
        'headPitchValue': config.headPitchValue,
        'headRollValue': config.headRollValue,
        'headYawValue': config.headYawValue,
        'minFaceSize': config.minFaceSize,
        'notFaceSize': config.notFaceSize,
        'checkFaceQuality': config.checkFaceQuality,
        'occlusionValue': config.occlusionValue,
        'sound': config.sound,
      },
    );
  }

  /// 开始活体检测
  Future<String> liveDetect() async {
    final String base64Image = await _channel.invokeMethod('liveDetect');
    return base64Image.replaceAll(RegExp('\\s*|\t|\r|\n'), "").trim();
  }
}
